| QuickCheck-1.1.0.0: Automatic testing of Haskell programs | Source code | Contents | Index

Test.QuickCheck

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
QuickCheck v.0.2 DRAFT implementation; last update 000104. Koen Claessen, John Hughes. This file represents work in progress, and might change at a later date.
Documentation

quickCheck :: Testable a => a -> IO () | Source

verboseCheck :: Testable a => a -> IO () | Source

test :: Testable a => a -> IO () | Source

data Config | Source

Constructors

Config |

configMaxTest :: Int |
configMaxFail :: Int |
configSize :: (Int -> Int) |
configEvery :: (Int -> [String] -> String) |

defaultConfig :: Config | Source

check :: Testable a => Config -> a -> IO () | Source

forAll :: (Show a, Testable b) => Gen a -> (a -> b) -> Property | Source

(==>) :: Testable a => Bool -> a -> Property | Source

label :: Testable a => String -> a -> Property | Source

collect :: (Show a, Testable b) => a -> b -> Property | Source

classify :: Testable a => Bool -> String -> a -> Property | Source

trivial :: Testable a => Bool -> a -> Property | Source

data Gen a | Source

Instances

Functor Gen
Monad Gen

elements :: [a] -> Gen a | Source

two :: Monad m => m a -> m (a, a) | Source

three :: Monad m => m a -> m (a, a, a) | Source

four :: Monad m => m a -> m (a, a, a, a) | Source

sized :: (Int -> Gen a) -> Gen a | Source

resize :: Int -> Gen a -> Gen a | Source

choose :: Random a => (a, a) -> Gen a | Source

oneof :: [Gen a] -> Gen a | Source

frequency :: [(Int, Gen a)] -> Gen a | Source

vector :: Arbitrary a => Int -> Gen [a] | Source

class Arbitrary a where | Source

Methods

arbitrary :: Gen a | Source

coarbitrary :: a -> Gen b -> Gen b | Source

Instances

Arbitrary Bool
Arbitrary Double
Arbitrary Float
Arbitrary Int
Arbitrary Integer
Arbitrary ()
(Arbitrary a, Arbitrary b) => Arbitrary (a, b)
(Arbitrary a, Arbitrary b, Arbitrary c) => Arbitrary (a, b, c)
(Arbitrary a, Arbitrary b, Arbitrary c, Arbitrary d) => Arbitrary (a, b, c, d)
(Arbitrary a, Arbitrary b) => Arbitrary (a -> b)
Arbitrary a => Arbitrary (Maybe a)
Arbitrary (Poly a)
Arbitrary a => Arbitrary [a]
(Arbitrary a, Arbitrary b) => Arbitrary (Either a b)

rand :: Gen StdGen | Source

promote :: (a -> Gen b) -> Gen (a -> b) | Source

variant :: Int -> Gen a -> Gen a | Source

class Testable a where | Source

Methods

property :: a -> Property | Source

Instances

Testable Bool
Testable Property
Testable Result
Testable ()
(Arbitrary a, Show a, Testable b) => Testable (a -> b)

data Property | Source

Instances

Testable Property

data Result | Source

Constructors

Result |

ok :: (Maybe Bool) |
stamp :: [String] |
arguments :: [String] |

Instances

Testable Result

generate :: Int -> StdGen -> Gen a -> a | Source

evaluate :: Testable a => a -> Gen Result | Source

Produced by Haddock version 0.9